Subject: [sidr] I-D Action: draft-ietf-sidr-usecases-04.txt

From: [email-masked]
Date: Thu, 26 Jan 2012 16:30:23 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories. This draft is a work item of the Secure Inter-Domain Routing Working Group of the IETF.

	Title           : Use Cases and Interpretation of RPKI Objects for Issuers and Relying Parties
	Author(s)       : Terry Manderson
                          Kotikalapudi Sriram
                          Russ White
	Filename        : draft-ietf-sidr-usecases-04.txt
	Pages           : 31
	Date            : 2012-01-26

   This document provides use cases, directions, and interpretations for
   organizations and relying parties when creating or encountering RPKI
   object scenarios in the public RPKI.  All of the above are discussed
   here in relation to the Internet routing system.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-sidr-usecases-04.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

This Internet-Draft can be retrieved at:
ftp://ftp.ietf.org/internet-drafts/draft-ietf-sidr-usecases-04.txt

---

From: "Sriram, Kotikalapudi" <[email-masked]>
Date: Thu, 26 Jan 2012 20:04:29 -0500

The I-D has been revised to include changes based on Sandy's comments from Dec. 21, 2011.
http://www.ietf.org/mail-archive/web/sidr/current/msg03860.html 
Sandy: Thank you for the careful read and all your comments/suggestions.

The following is a summary of the changes incorporated:
1. Corrected the typos/errors in example prefixes in use cases (Sandy: Thanks for the catch).

2. Added new Section 1.2. Documentation Prefixes, and added relevant references 
to RFCs 5737 and 1918 (per comment from Sandy). 

3. Inserted new use case -- 7.1.6.  Covering ROA Prefix and the ROA is an AS0 ROA

4. Made sure all example ASNs are used within the range 64496 - 64511 (per RFC 5398).

5. As Sandy pointed out, some of the definitions (in Section 1.3) were ambiguous.
Randy suggested we reuse the definitions available in [draft-ietf-sidr-pfx-validate-03].
With permission of the authors, we have reused several of those carefully-worded 
definitions (thanks to John Scudder, Randy et al.).   
Some definitions that are new to this document have been retained after 
adding further clarity.

6. Updated the references (in particular, the AS_SET deprecation I-D 
which is now RFC 6472).

Sriram (with Terry and Russ W)